class MessageDispatcher:
    def __init__(self):
        self.dispatch_table = {}

    def register(self, message_type: int, handler: callable):
        self.dispatch_table[message_type] = handler

    def handle(self, message: dict):
        message_type = message.get("t")
        if message_type not in self.dispatch_table:
            return
        self.dispatch_table[message_type](message)